%define nettlemajor 8
%define hogweedmajor 6
%define libnettlename %mklibname nettle %{nettlemajor}
%define libhogweedname %mklibname hogweed %{hogweedmajor}
%define develname %mklibname -d nettle
%define oversion 3.6


Name:		nettle
Summary:	Nettle cryptographic library
Version:	3.7.1
Release:	%mkrel 5
License:	GPL
Group:		System/Libraries
URL:		http://www.lysator.liu.se/~nisse/nettle/
Source:		http://www.lysator.liu.se/~nisse/archive/%{name}-%{oversion}.tar.xz
BuildRequires:	autoconf
BuildRequires:	openssl-devel
BuildRequires:	libgmp-devel
BuildRequires:	texinfo

%description
Nettle is a cryptographic library that is designed to fit easily in more or less any context: 
In crypto toolkits for object-oriented languages (C++, Python, Pike, ...), in applications 
like LSH or GNUPG, or even in kernel space. 

%package -n	%{libnettlename}
Group:		System/Libraries
Summary:	Nettle shared library

%description -n	%{libnettlename}
This is the shared library part of the Nettle library.

%package -n	%{develname}
Group:		Development/Libraries
Summary:	Header files for compiling against Nettle library
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libnettlename} = %{version}-%{release}

%description -n	%{develname}
This is the development package of nettle. Install it if you want to 
compile programs using this library.

%prep
%setup -qn %{name}-%{oversion}

%build
%configure2_5x --enable-shared
%make

%install
%makeinstall_std

%files
%{_bindir}/*
%{_infodir}/*

%files -n %{libnettlename}
%{_libdir}/libnettle.so.%{nettlemajor}*
%{_libdir}/libhogweed.so.%{hogweedmajor}*

%files -n %{develname}
%{_libdir}/libnettle.a
%{_libdir}/libhogweed.a
%{_libdir}/libnettle.so
%{_libdir}/libhogweed.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/nettle

%post -n	%{libnettlename}
/bin/rm -f /etc/ld.so.cache
/sbin/ldconfig


%postun -n	%{libnettlename}
/sbin/ldconfig

%posttrans
/sbin/ldconfig


%changelog
* Wed Mar 10 2021 tex - 3.7.1-5pclos2021
- rebuild against updates

* Tue Mar 09 2021 tex - 3.7.1-4pclos2021
- rebuild against updates

* Mon Mar 08 2021 tex - 3.7.1-3pclos2021
- rebuild against updates

* Mon Mar 08 2021 tex - 3.7.1-2pclos2021
- back down to 3.6

* Thu Feb 18 2021 tex - 3.7.1-1pclos2021
- new version

* Sat Jul 27 2019 tex - 3.5.1-1pclos2019
- new version

* Thu May 30 2019 tex - 3.4.1-2pclos2019
- rebuild against updates

* Fri Mar 22 2019 tex 3.4.1-1pclos2019
- new

* Sat Apr 15 2017 bb2 <bb2> - 3.3-1pclos2017
- new version

* Sat Apr 30 2016 bb <bb> - 3.2-1pclos2016
- upate for filezilla

